#!/usr/bin/env zsh
# TODO: Add vcs and nix shell indicator

# stt colors
local c0=$'\e[0;0m'
local c31=$'\e[31;0m'
local c33=$'\e[33;0m'
local c34=$'\e[34;0m'
local c35=$'\e[35;0m'
local c38=$'\e[38;0m'
# end colors

nix_shell_ps1_t=" $c34{$c33󱄅 shell$c34}$c0"
if [ -n "$IN_NIX_SHELL" ]; then
    nix_shell_ps1="$nix_shell_ps1_t"
elif [[ "$PATH" == *"/nix/store"* ]]; then
    IN_NIX_SHELL=true
    nix_shell_ps1="$nix_shell_ps1_t"
fi

export PS1="${c35}[${c31}%3~${nix_shell_ps1}${c35}]${c0}# "
